gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Misc A widget that displays a small to medium amount of text

This widget displays a small to medium amount of text, it is the widget used by other widgets, such as and for displaying text.

Labels may contain mnemonics; mnemonics are underlined characters in the label, used for keyboard navigation. To provide the mnemonic, put an underscore before the mnemonic character, such as "_File".

- Constructor
  2.12.0.0
  Creates a new without text.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Internal constructor
  This is not typically used by C# code.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  The text of the label. Pass for no text.
  Creates a new label with the given text inside it. You can pass to get an empty label widget.

  Creates a new label with the given text inside it. You can pass to get an empty label widget. If contains an underscore, the property is automatically set to .

- Property
  2.12.0.0
  GLib.Property("angle")
  System.Double To be added a To be added
- Property
  2.12.0.0
  GLib.Property("attributes")
  Pango.AttrList The attribute list set on the label. the attribute list set on the label

  This function does not reflect attributes that come from the labels markup (see ). If you want to get the effective attributes for the label, use on the label's property.

- Event
  2.12.0.0
  GLib.Signal("copy_clipboard")
  System.EventHandler Emitted when text is copied to the clipboard.
- Property
  2.12.0.0
  GLib.Property("cursor-position")
  System.Int32 The current position of the insertion cursor in characters. The current position of the insertion cursor in characters
- Property
  2.12.0.0
  GLib.Property("ellipsize")
  Pango.EllipsizeMode To be added a To be added
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` a Deprecated; do not use in new code. Gets the current string of text within the Label object and writes it to . It does not make a copy of this string so you must not write to it.
- Method
  2.12.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("justify")
  Gtk.Justification The alignment of the lines in the text of the label relative to each other The justification of the label

  Sets the alignment of the lines in the text of the label relative to each other. is the default value when the widget is first created with . If you instead want to set the alignment of the label as a whole, set instead. This has no effect on labels containing only a single line.

- Property
  2.12.0.0
  GLib.Property("label")
  System.String The text from a label widget including any embedded underlines indicating mnemonics and Pango markup. The text of the label widget. You can include markup tags to change your text appearance. See for more information.
- Property
  2.12.0.0
  Pango.Layout Gets the used to display the label. the for this label

  Gets the used to display the label. The layout is useful to e.g. convert text positions to pixel positions, in combination with . The returned layout is owned by the label so need not be freed by the caller.

- Property
  2.12.0.0
  System.Boolean Toggles line wrapping within the GtkLabel widget. if the lines of the label are automatically wrapped.
- Property
  2.12.0.0
  GLib.Property("wrap-mode")
  Pango.WrapMode Indicates the wrap mode for the label. a .
- Property
  2.12.0.0
  System.String Parses str which is marked up with the Pango text markup language a GtkLabel

  Parses which is marked up with the Pango text markup language, setting the text of the label and attribute list based on the parse results.

- Property
  2.12.0.0
  System.String Parses which is marked up with the Pango text markup language, setting the text of the label and attribute list based on the parse results. a new label widget

  Parses which is marked up with the Pango text markup language, setting the text of the label and attribute list based on the parse results. If characters in the string are preceded by an underscore, they are underlined indicating that they represent a keyboard accelerator called a mnemonic.

  The mnemonic key can be used to activate another widget, chosen automatically, or explicitly using .

- Property
  2.12.0.0
  GLib.Property("max-width-chars")
  System.Int32 To be added a To be added
- Property
  2.12.0.0
  GLib.Property("mnemonic-keyval")
  System.UInt32 The mnemonic accelerator key for this label. The mnemonic accelerator key for this label.
- Property
  2.12.0.0
  GLib.Property("mnemonic-widget")
  Gtk.Widget The widget to be activated when the label's mnemonic key is pressed. The widget to be activated when the label's mnemonic key is pressed.
- Event
  2.12.0.0
  GLib.Signal("move_cursor")
  Gtk.MoveCursorHandler Emitted when the cursor is moved.
- Method
  2.12.0.0
  Gtk.Label `` a Basic constructor. a
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCopyClipboard", Type=typeof(Gtk.Label))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideMoveCursor", Type=typeof(Gtk.Label))
  System.Void `` `` `` a a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePopulatePopup", Type=typeof(Gtk.Label))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  System.Obsolete
  System.UInt32 `` a Deprecated. a Checks the string passed as the parameter for underscores, and then underlines the characters following the underscores. It will take the first underlined character in a label and return it as a lower-case accelerator key, e.g. _Save will return the accelerator key value for "s".
- Property
  2.12.0.0
  GLib.Property("pattern")
  System.String A string with _ characters in positions correspond to characters in the text to underline. To be added.
- Event
  2.12.0.0
  GLib.Signal("populate_popup")
  Gtk.PopulatePopupHandler Emitted when a right-click pop-up menu is displayed
- Property
  2.12.0.0
  GLib.Property("selectable")
  System.Boolean Toggle whether or not the label allow the user to select text from the label, for copy-and-paste. if the label is selectable, and if not.
- Property
  2.12.0.0
  GLib.Property("selection-bound")
  System.Int32 The position of the opposite end of the selection from the cursor in characters. The position of the opposite end of the selection from the cursor in characters.
- Method
  2.12.0.0
  System.Void `` `` start offset (in characters not bytes) end offset (in characters not bytes) Selects a range of characters in the label, if the label is selectable.

  Selects a range of characters in the label, if the label is selectable. See . If the label is not selectable, this function has no effect. If or are -1, then the end of the label will be substituted.

- Property
  2.12.0.0
  GLib.Property("single-line-mode")
  System.Boolean To be added a To be added
- Property
  2.12.0.0
  System.String The text within the widget. a

  When setting the text within the widget, it overwrites any text that was there before.

- Property
  2.12.0.0
  System.String Sets the text of the label To be added.

  Sets the text of the label. If characters in are preceded by an underscore, they are underlined indicating that they represent a keyboard accelerator called a mnemonic. The mnemonic key can be used to activate another widget, chosen automatically, or explicitly using .

- Property
  2.12.0.0
  GLib.Property("use-markup")
  System.Boolean Whether the label's text is interpreted as marked up with the Pango text markup language ( more information at http://developer.gnome.org/doc/API/2.0/pango/PangoMarkupFormat.html ). if the label's text should be parsed for markup Here are a few examples of the markup you can use:
  Tag
  Description
  <b>
  Bold
  <big>
  Makes font relatively larger
  <i>
  Italic
  <s>
  Strikethrough
  <sub>
  Subscript
  <sup>
  Superscript
  <small>
  Makes font relatively smaller
  <tt>
  Monospace font
  <u>
  Underline `Gtk.Label label = new Gtk.Label(); label.LabelProp = "The brown <u>fox</u> etc. and the <big>lazy</big> dog"; label.UseMarkup = true;`
- Property
  2.12.0.0
  GLib.Property("use-underline")
  System.Boolean Whether an underline in the text indicates the next character should be used for the mnemonic accelerator key. Whether an underline in the text indicates the next character should be used for the mnemonic accelerator key.
- Property
  2.12.0.0
  GLib.Property("width-chars")
  System.Int32 To be added a To be added
- Property
  2.12.0.0
  GLib.Property("wrap")
  System.Boolean Whether lines should be wrapped if the text becomes too wide. whether lines should be wrapped